---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Charger Usage, All Chargers - Yearly

Get yearly charger power usage for a user on a site.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Site",
      "x-displayName": "Site"
    }
  ],
  "paths": {
    "/api/sites/{siteId}/users/{userId}/yearly": {
      "get": {
        "tags": [
          "Site"
        ],
        "summary": "Charger Usage, All Chargers - Yearly",
        "description": "Get yearly charger power usage for a user on a site.",
        "operationId": "Site_GetYearlyConsumptionByUser",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "required": true,
            "description": "Site ID",
            "schema": {
              "type": "string"
            },
            "x-position": 1
          },
          {
            "name": "userId",
            "in": "path",
            "required": true,
            "description": "User ID",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "x-position": 2
          }
        ],
        "responses": {
          "200": {
            "description": "Yearly charger consumption",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Easee_Cloud_API_YearlySessionSummaryDTO"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_YearlySessionSummaryDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "year": {
            "type": "integer",
            "format": "int32"
          },
          "totalEnergyUsage": {
            "type": "number",
            "format": "double"
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```